> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.destroyslots.md).

# relevantDigital.destroySlots()

Use `relevantDigital.destroySlots()` between page views in a single-page application, such as React.

The function resets Relevant Yield internal state and ad-server slots.

### Ad-server behavior

* **Google Ad Manager** calls [googletag.destroySlots()](https://developers.google.com/publisher-tag/reference#googletag.destroySlots).
* **Xandr** calls [apntag.clearRequests()](https://docs.xandr.com/bundle/seller-tag/page/seller-tag/clear-request.html).

### Example

```
// No need to use relevantDigital.cmd.push()
// as we only need to call the function
// If the library is indeed initialized.

if(window.relevantDigital && relevantDigital.destroySlots) {
   relevantDigital.destroySlots();
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.destroyslots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
